using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Numerics;

namespace petljaTakm
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            BigInteger a = BigInteger.Parse(s[0]);
            BigInteger b = BigInteger.Parse(s[1]);
            BigInteger c = BigInteger.Parse(s[2]);
            int[] brCifara = new int[3]{1,1,1};
            BigInteger temp=a;
            while (temp >= 10)
            {
                temp /= 10;
                brCifara[0]++;
            }
            temp = b;
            while (temp >= 10)
            {
                temp /= 10;
                brCifara[1]++;
            }
            temp = c;
            while (temp >= 10)
            {
                temp /= 10;
                brCifara[2]++;
            }
            BigInteger[] brojevi = new BigInteger[6];
            //1 abc 
            brojevi[0] = (a * (BigInteger)Math.Pow(10, (double)brCifara[1])+b)*((BigInteger)Math.Pow(10,(double)brCifara[2]))+c;
            //2 acb
            brojevi[1] = (a * (BigInteger)Math.Pow(10, (double)brCifara[2]) + c) * ((BigInteger)Math.Pow(10, (double)brCifara[1])) + b;
            //3 bac
            brojevi[2] = (b * (BigInteger)Math.Pow(10, (double)brCifara[0]) + a) * ((BigInteger)Math.Pow(10, (double)brCifara[2])) + c;
            //4 bca
            brojevi[3] = (b * (BigInteger)Math.Pow(10, (double)brCifara[2]) + c) * ((BigInteger)Math.Pow(10, (double)brCifara[0])) + a;
            //5 cab
            brojevi[4] = (c * (BigInteger)Math.Pow(10, (double)brCifara[0]) + a) * ((BigInteger)Math.Pow(10, (double)brCifara[1])) + b;
            //6 cba
            brojevi[5] = (c * (BigInteger)Math.Pow(10, (double)brCifara[1]) + b) * ((BigInteger)Math.Pow(10, (double)brCifara[0])) + a;
            BigInteger max = 0;
            if (brojevi[1] > brojevi[0])
            {
                max = brojevi[1];
            }
            else
            {
                max = brojevi[0];
            }
            if (brojevi[2] > max)
            {
                max = brojevi[2];
            }
            if (brojevi[3] > max)
            {
                max = brojevi[3];
            }
            if (brojevi[4] > max)
            {
                max = brojevi[4];
            }
            if (brojevi[5] > max)
            {
                max = brojevi[5];
            }
            Console.WriteLine(max);
        }
    }
}